﻿UAWOWDungeonJournalToolTip = UAWOWToolTip:New("UAWOWDungeonJournalToolTip")
UAWOWDungeonJournalToolTip.Tooltip = UAWOWAssistTooltip

function UAWOWDungeonJournalToolTip:OnEnable()
	hooksecurefunc("EncounterJournal_LoadUI", function()	
	
		hooksecurefunc("EncounterJournal_DisplayEncounter", function(encounterID, noButton)
			self:OnShow(encounterID, noButton);
		end)					
 
		EncounterJournal.encounter:HookScript("OnHide", function()
		    -- UAWOW:DebugLog("UAWOWDungeonJournalToolTip: OnHide");
			self:OnHide();
		end)

	end)
	

end

function UAWOWDungeonJournalToolTip:OnShow(encounterID, _button)
    
	local w = GameTooltip:GetWidth()
	
	self.Tooltip:SetOwner(EncounterJournal.encounter.info.overviewTab, "ANCHOR_TOPRIGHT", 530 , -200)
    
	w = w - 20
    self.Tooltip:ClearLines()
    self.Tooltip:SetMinimumWidth(w)
	
	local txt = UAWOW_DungeonJournal:Get(encounterID) 
	
	if txt == nil then	
		-- return 
		txt = "翻訳データがありません"
		self:AddText("(" .. encounterID .. ")" .. "\n\n" .. txt)	
	else
		self:AddText(txt)
	end
	
	self.Tooltip:SetWidth(600)


    self.Tooltip:Show()

end

function UAWOWDungeonJournalToolTip:OnHide()
    if self.Tooltip:IsShown() then
        self.Tooltip:Hide()
        self.Tooltip:SetWidth(0)
        -- self.Tooltip:SetOwner(UIParent, "ANCHOR_NONE")
    end
end

function UAWOWDungeonJournalToolTip:DebugPrint(txt)
    if UAWOWDebugFrame:IsShown() then
        local editbox = UAWOWDebugFrameScrollFrameText

        editbox:SetText(editbox:GetText() .. "\n" .. txt)
    end
end	




